Bug 97191 - nss_compat missing support for ldap
nss_compat missing support for ldap
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: glibc (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-11 08:55 EDT by Greg Renzelman
Modified: 2016-11-24 10:04 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.3.2-63
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-05 12:40:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Renzelman 2003-06-11 08:55:29 EDT
Description of problem:

The nss_compat NSS module only supports NIS and NIS+ as the source for 
expanding "+" and "-" lines in the password file. We are using a global account 
database based on Active Directory (through nss_ldap). This limitation of 
nss_compat doesn't allow us to use it.

How reproducible:

The following configuration in /etc/nsswitch.conf is not supported:

passwd: compat ldap
passwd_compat: ldap
Comment 1 Jakub Jelinek 2003-08-05 12:40:46 EDT
This should work in current RHEL3 beta1 (glibc-2.3.2-58 and later).
Backporting it to 2.1 is too risky.

Note You need to log in before you can comment on or make changes to this bug.